For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
      • PUTCreate or update context kind
      • DELDelete context instances
      • POSTEvaluate flags for context instance
      • GETGet context attribute names
      • GETGet context attribute values
      • GETGet context instances
      • GETGet context kinds
      • GETGet contexts
      • POSTSearch for context instances
      • POSTSearch for contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewContexts

Get context attribute names

GET
/api/v2/projects/:projectKey/environments/:environmentKey/context-attributes
GET
/api/v2/projects/:projectKey/environments/:environmentKey/context-attributes
$curl https://app.launchdarkly.com/api/v2/projects/projectKey/environments/environmentKey/context-attributes \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "kind": "user",
5 "names": [
6 {
7 "name": "/firstName",
8 "weight": 2225,
9 "redacted": false
10 }
11 ]
12 }
13 ]
14}
Get context attribute names.
Was this page helpful?
Previous

Get context attribute values

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key

Query parameters

filterstringOptionalformat: "string"

A comma-separated list of context filters. This endpoint only accepts kind filters, with the equals operator, and name filters, with the startsWith operator. To learn more about the filter syntax, read Filtering contexts and context instances.

limitlongOptional

Specifies the maximum number of items in the collection to return (max: 100, default: 100)

Response

Context attribute names collection response
itemslist of objects
A collection of context attribute name data grouped by kind.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error